<?php

if (!defined('ABSPATH')) { exit; }

// include(IPAY88_CREDITCARD_PLUGIN_PATH . '/lib/ipay88-creditcard-php/ipay88_creditcard/Indonesia.php');
// Settings for ipay88 Gateway
// Editor: Alda Mustafri

return array(

//enabled
'enabled' 		=> array( 
'title' 		=> __('Status', IPAY88_CREDITCARD_TEXT_DOMAIN),
'type' 			=> 'checkbox',
'label' 		=> __('Enable iPay88 Credit Card Payment', IPAY88_CREDITCARD_TEXT_DOMAIN),
'default' 		=> 'yes'),
	
//title				
'title' 		=> array( 
'title' 		=> __('Title', IPAY88_CREDITCARD_TEXT_DOMAIN),
'type' 			=> 'text',
'description' 	=> __('This controls the title which the user sees during checkout.', IPAY88_CREDITCARD_TEXT_DOMAIN),
'default' 		=> __('Credit Card', IPAY88_CREDITCARD_TEXT_DOMAIN)),

//desc			
'description' 	=> array( 
'title' 		=> __('Description', IPAY88_CREDITCARD_TEXT_DOMAIN),
'type' 			=> 'textarea',
'description' 	=> __('This controls the description which the user sees during checkout.', IPAY88_CREDITCARD_TEXT_DOMAIN),
'default' 		=> __("Please note that your payment is processed by iPay88 Payment Gateway. The page will redirect to iPay88 payment page when you press Place Order button.", IPAY88_CREDITCARD_TEXT_DOMAIN)),

//mcode										
'merchant_code' => array(	
'title' 		=> __('Merchant Code', IPAY88_CREDITCARD_TEXT_DOMAIN),
'type' 			=> 'text',
'description'	=> __('The Merchant Code provided by iPay88 and used to uniquely identify the Merchant.', IPAY88_CREDITCARD_TEXT_DOMAIN),
'default' 		=> ''),
	
//mkey						
'merchant_key' 	=> array(	
'title' 		=> __('Merchant Key', IPAY88_CREDITCARD_TEXT_DOMAIN),
'type' 			=> 'text',
'description' 	=> __('Provided by iPay88 and shared between iPay88 and merchant only.', IPAY88_CREDITCARD_TEXT_DOMAIN),'default' 		=> ''),
																													
ipay88_CreditCard_Indonesia::PAYMENT_METHOD_CREDITCARD_3D_CONFIG => 
array(	'title' 		=> __(ipay88_CreditCard_Indonesia::PAYMENT_METHOD_CREDITCARD_CONFIG_LABEL, IPAY88_CREDITCARD_TEXT_DOMAIN),
		'type' 			=> 'select',
		'description' 	=> '',
		'options' 		=> array(
			'0' => '-',
			ipay88_CreditCard_Indonesia::PAYMETHOD_ID_3D_BCA => ipay88_CreditCard_Indonesia::PAYMETHOD_3D_BCA_CONFIG_LABEL, 
			ipay88_CreditCard_Indonesia::PAYMETHOD_ID_CIMB_IPG => ipay88_CreditCard_Indonesia::PAYMETHOD_CIMB_IPG_CONFIG_LABEL, 
			ipay88_CreditCard_Indonesia::PAYMETHOD_ID_3D_CIMB_MPGS => ipay88_CreditCard_Indonesia::PAYMETHOD_3D_CIMB_MPGS_CONFIG_LABEL, 
			ipay88_CreditCard_Indonesia::PAYMETHOD_ID_3D_CIMB_IPG => ipay88_CreditCard_Indonesia::PAYMETHOD_3D_CIMB_IPG_CONFIG_LABEL, 
			ipay88_CreditCard_Indonesia::PAYMETHOD_ID_3D_BRI => ipay88_CreditCard_Indonesia::PAYMETHOD_3D_BRI_CONFIG_LABEL, 
			ipay88_CreditCard_Indonesia::PAYMETHOD_ID_3D_DANAMON => ipay88_CreditCard_Indonesia::PAYMETHOD_3D_DANAMON_CONFIG_LABEL, 
			ipay88_CreditCard_Indonesia::PAYMETHOD_ID_3D_MAYBANK => ipay88_CreditCard_Indonesia::PAYMETHOD_3D_MAYBANK_CONFIG_LABEL, 
		),
		'default' 		=> '0'
	),

	ipay88_CreditCard_Indonesia::PAYMENT_METHOD_CREDITCARD_2D_CONFIG => 
	array(	'title' 		=> __(ipay88_CreditCard_Indonesia::PAYMENT_METHOD_CREDITCARD_2D_CONFIG_LABEL, IPAY88_CREDITCARD_TEXT_DOMAIN),
			'type' 			=> 'select',
			'description' 	=> '',
			'options' 		=> array(
				'0' => '-',
				ipay88_CreditCard_Indonesia::PAYMETHOD_ID_2D_BCA => ipay88_CreditCard_Indonesia::PAYMETHOD_2D_BCA_CONFIG_LABEL, 
				ipay88_CreditCard_Indonesia::PAYMETHOD_ID_2D_CIMB => ipay88_CreditCard_Indonesia::PAYMETHOD_2D_CIMB_CONFIG_LABEL, 
				ipay88_CreditCard_Indonesia::PAYMETHOD_ID_2D_CIMB_IPG => ipay88_CreditCard_Indonesia::PAYMETHOD_2D_CIMB_IPG_CONFIG_LABEL, 
				ipay88_CreditCard_Indonesia::PAYMETHOD_ID_2D_BRI => ipay88_CreditCard_Indonesia::PAYMETHOD_2D_BRI_CONFIG_LABEL
			),
			'default' 		=> '0'
		),
				
ipay88_CreditCard_Indonesia::PAYMENT_METHOD_ARTAJASAGPN_CONFIG => 
array(	'title' 		=> __(ipay88_CreditCard_Indonesia::PAYMENT_METHOD_ARTAJASAGPN_CONFIG_LABEL, IPAY88_CREDITCARD_TEXT_DOMAIN),
		'type' 			=> 'select',
		'description' 	=> '',
		'options' 		=> array(ipay88_CreditCard_Indonesia::PAYMENT_METHOD_ARTAJASAGPN => 'Yes', '0' => 'No'),
		'default' 		=> '0'),
						
ipay88_CreditCard_Indonesia::PAYMENT_METHOD_UNIONPAY_CONFIG => 
array(	'title' 		=> __(ipay88_CreditCard_Indonesia::PAYMENT_METHOD_UNIONPAY_CONFIG_LABEL, IPAY88_CREDITCARD_TEXT_DOMAIN),
		'type' 			=> 'select',
		'description' 	=> '',
		'options' 		=> array(ipay88_CreditCard_Indonesia::PAYMENT_METHOD_UNIONPAY => 'Yes', '0' => 'No'),
		'default' 		=> '0'),	

//sandbox				
'test_mode' 	=> array(	
'title' 		=> __('Test Mode (Sandbox)', IPAY88_CREDITCARD_TEXT_DOMAIN),
'label'			=> __( 'Enable Sandbox', 'wc_ipay88_wallet' ),
'type'			=> 'checkbox',
'description' 	=> __('Sandbox mode provides you with a chance to test your gateway integration with iPay88. The payment requests will be send to the iPay88 sandbox URL.<br/>Disable to start accepting Live payments.', IPAY88_CREDITCARD_TEXT_DOMAIN),
'default' 		=> 'yes')		

);